Package com.sun.jna.platform.unix

# Class X11.Xrender.PictFormat

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.NativeLong
com.sun.jna.platform.unix.X11.XID
com.sun.jna.platform.unix.X11.Xrender.PictFormat

All Implemented Interfaces:
  `NativeMapped`, `Serializable`

Enclosing interface:
  X11.Xrender

public static class X11.Xrender.PictFormat extends X11.XID

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final X11.Xrender.PictFormat`
  `None`

  ### Fields inherited from class com.sun.jna.NativeLong

  `SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PictFormat()`
  `PictFormat(long value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `fromNative(Object nativeValue, FromNativeContext context)`
  Convert the given native object into its Java representation using the given context.

  ### Methods inherited from class com.sun.jna.platform.unix.X11.XID

  `isNone, toString`

  ### Methods inherited from class com.sun.jna.IntegerType

  `compare, compare, compare, doubleValue, equals, floatValue, hashCode, intValue, longValue, nativeType, setValue, toNative`

  ### Methods inherited from class java.lang.Number

  `byteValue, shortValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### None

    public static final X11.Xrender.PictFormat None

- ## Constructor Details

  - ### PictFormat

    public PictFormat(long value)

  - ### PictFormat

    public PictFormat()

- ## Method Details

  - ### fromNative

    public Object fromNative(Object nativeValue, FromNativeContext context)
    Description copied from interface: `NativeMapped`
    Convert the given native object into its Java representation using the given context.
    Specified by:
      `fromNative` in interface `NativeMapped`
    Overrides:
      `fromNative` in class `X11.XID`
    Parameters:
      `nativeValue` - Java representation of the native type to be converted.
      `context` - Context in which the conversion is taking place.
    Returns:
      Converted object.